KWIN_RESIZE(3)

FUNCTION
kwin_resize - Resize a pixel canvas.

SYNOPSIS
#include <karma_kwin.h>

flag kwin_resize

(KPixCanvas canvas, flag clear, int xoff, int yoff, int width, int height)

DESCRIPTION
This routine will register a resize in the pixel canvas size. This will cause any refresh routines registered for the canvas to be called. This routine is meant to be called by an X event handler for the underlying window, however the routine is available for all graphics systems.

canvas
    The canvas.

clear
    If TRUE, the canvas is first cleared.

xoff
    The horizontal offset of the canvas origin (upper-left corner) relative to the parent window.

yoff
    The vertical offset of the canvas origin (upper-left corner) relative to the parent window.

width
    The new width (horizontal extent) of the canvas. If this is less than 1 canvas is not resized, it is only refreshed.

height
    The new height (vertical extent) of the canvas. If this is less than 1 canvas is not resized, it is only refreshed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/